AOZ Studio Beta - Bug #246

Volume does not affect Boom, Shoot, or Bell (other than on/off)
02/21/2020 06:59 PM - Brian Flanagan

Status: New Start date: 02/21/2020
Priority: Low Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B4)

Description

0 volume = off
1-63 = full volume (FAIL!)

#manifest:"amiga"
#speed:"safe"

V=63:K=0

BEGIN:

Locate 0,0

Print V,K

While Mouse Key = 0 : Wend

K=Mouse Key:Locate 0,0:Print V,K

If K=1 Then V=V-1:If V=<0 Then V=0
If K=2 Then V=V+1:If V>63 Then V=63
Volume V

Bell

' substitute Boom or Shoot above. The result is the same: Only on/off.
While Mouse Key <> 0 : Wend

GoTo BEGIN

History

#1 - 02/29/2020 02:18 AM - Brian Flanagan
- Affected version changed from 0.9.5t0 0.9.5.1

#2 - 03/11/2020 09:28 PM - Paul Kitching

It doesn't affect samples, either (other than 0=0ff).

#3 - 09/29/2020 03:51 AM - Brian Flanagan

- Assignee set to AOZ Studio Team

- Priority changed from Normal to Low

- Estimated time set to 2:00 h

- Affected version changed from 0.9.5.1 to Beta RC3

Re-tested in Beta RC3. Still a problem.
Volume 0 = off. Anything else (1-63) is full volume.

#4 - 12/07/2020 09:33 PM - Brian Flanagan
- Affected version changed from Beta RC3 to Beta 2

Re-tested in Beta 2. Still broken.

#5 - 02/24/2021 07:48 PM - Paul Kitching
- Affected version changed from Beta 2 to 1.0.0 (B4)

Volume still doesn't work in Beta 4. I've tried it with samples and Boom.
volume 63
boom

wait 3
volume 1
boom

#6 - 06/05/2021 10:11 PM - malcolm harvey

Volume 1.X still not working in Beta 1.x V8
Either flat out for nothing.

#7 - 03/24/2022 12:55 PM - malcolm harvey

This ticket again is working now but only in manifest amiga, but not aoz.

In aoz manifest mode it comes up illegal error when executing cmd Volume .
1.0.0 Beta 12 U 19 and Also Beta 13 U21.

#8 - 03/24/2022 09:04 PM - malcolm harvey

Updated. It seams Dave had pointed out which did not show was that aoz mode currently only supported floats from eg: 0 - 1 or 0.1,0.2,0.5 etc to 1
which is why it gave the errors using normal Volume . He is changing it to match the amiga mode 0 to 100 style. Should be consistent yes.
